orm

## Class ApoderadoDAO

- java.lang.Object
- - orm.ApoderadoDAO

    public class ApoderadoDAO
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ApoderadoDAO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Apoderado` `createApoderado()`
`static boolean` `delete(Apoderado apoderado)`
`static boolean` `deleteAndDissociate(Apoderado apoderado)`
`static boolean` `deleteAndDissociate(Apoderado apoderado, org.orm.PersistentSession session)`
`static boolean` `evict(Apoderado apoderado)`
`static Apoderado` `getApoderadoByORMID(int id_pk)`
`static Apoderado` `getApoderadoByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Apoderado` `getApoderadoByORMID(org.orm.PersistentSession session, int id_pk)`
`static Apoderado` `getApoderadoByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateApoderadoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateApoderadoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateApoderadoByQuery(java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateApoderadoByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Apoderado[]` `listApoderadoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Apoderado[]` `listApoderadoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Apoderado[]` `listApoderadoByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Apoderado[]` `listApoderadoByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Apoderado` `loadApoderadoByORMID(int id_pk)`
`static Apoderado` `loadApoderadoByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Apoderado` `loadApoderadoByORMID(org.orm.PersistentSession session, int id_pk)`
`static Apoderado` `loadApoderadoByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static Apoderado` `loadApoderadoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Apoderado` `loadApoderadoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Apoderado` `loadApoderadoByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Apoderado` `loadApoderadoByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryApoderado(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryApoderado(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryApoderado(java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryApoderado(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static boolean` `refresh(Apoderado apoderado)`
`static boolean` `save(Apoderado apoderado)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApoderadoDAO

    public ApoderadoDAO()

### Method Detail

#### loadApoderadoByORMID

    public static Apoderado loadApoderadoByORMID(int id_pk)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getApoderadoByORMID

    public static Apoderado getApoderadoByORMID(int id_pk)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadApoderadoByORMID

    public static Apoderado loadApoderadoByORMID(int id_pk,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getApoderadoByORMID

    public static Apoderado getApoderadoByORMID(int id_pk,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadApoderadoByORMID

    public static Apoderado loadApoderadoByORMID(org.orm.PersistentSession session,
                                                 int id_pk)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getApoderadoByORMID

    public static Apoderado getApoderadoByORMID(org.orm.PersistentSession session,
                                                int id_pk)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadApoderadoByORMID

    public static Apoderado loadApoderadoByORMID(org.orm.PersistentSession session,
                                                 int id_pk,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getApoderadoByORMID

    public static Apoderado getApoderadoByORMID(org.orm.PersistentSession session,
                                                int id_pk,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryApoderado

    public static java.util.List queryApoderado(java.lang.String condition,
                                                java.lang.String orderBy)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryApoderado

    public static java.util.List queryApoderado(java.lang.String condition,
                                                java.lang.String orderBy,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listApoderadoByQuery

    public static Apoderado[] listApoderadoByQuery(java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listApoderadoByQuery

    public static Apoderado[] listApoderadoByQuery(java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryApoderado

    public static java.util.List queryApoderado(org.orm.PersistentSession session,
                                                java.lang.String condition,
                                                java.lang.String orderBy)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryApoderado

    public static java.util.List queryApoderado(org.orm.PersistentSession session,
                                                java.lang.String condition,
                                                java.lang.String orderBy,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listApoderadoByQuery

    public static Apoderado[] listApoderadoByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listApoderadoByQuery

    public static Apoderado[] listApoderadoByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadApoderadoByQuery

    public static Apoderado loadApoderadoByQuery(java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadApoderadoByQuery

    public static Apoderado loadApoderadoByQuery(java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadApoderadoByQuery

    public static Apoderado loadApoderadoByQuery(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadApoderadoByQuery

    public static Apoderado loadApoderadoByQuery(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateApoderadoByQuery

    public static java.util.Iterator iterateApoderadoByQuery(java.lang.String condition,
                                                             java.lang.String orderBy)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateApoderadoByQuery

    public static java.util.Iterator iterateApoderadoByQuery(java.lang.String condition,
                                                             java.lang.String orderBy,
                                                             org.hibernate.LockMode lockMode)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateApoderadoByQuery

    public static java.util.Iterator iterateApoderadoByQuery(org.orm.PersistentSession session,
                                                             java.lang.String condition,
                                                             java.lang.String orderBy)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateApoderadoByQuery

    public static java.util.Iterator iterateApoderadoByQuery(org.orm.PersistentSession session,
                                                             java.lang.String condition,
                                                             java.lang.String orderBy,
                                                             org.hibernate.LockMode lockMode)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### createApoderado

    public static Apoderado createApoderado()

#### save

    public static boolean save(Apoderado apoderado)
                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### delete

    public static boolean delete(Apoderado apoderado)
                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Apoderado apoderado)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Apoderado apoderado,
                                              org.orm.PersistentSession session)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### refresh

    public static boolean refresh(Apoderado apoderado)
                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### evict

    public static boolean evict(Apoderado apoderado)
                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`